Bug 117655 - i18n: add locale data for Iloko [ilo-PH]
Summary: i18n: add locale data for Iloko [ilo-PH]
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Localization (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: All All
: medium enhancement
Assignee: Eike Rathke
URL:
Whiteboard: target:6.1.0
Keywords:
Depends on:
Blocks:
 
Reported: 2018-05-17 01:17 UTC by Joseph S Maza
Modified: 2018-05-22 09:47 UTC (History)
0 users

See Also:
Crash report or crash signature:


Attachments
Locale Data for Iloko [ilo-PH] (16.35 KB, text/xml)
2018-05-17 01:17 UTC, Joseph S Maza
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Joseph S Maza 2018-05-17 01:17:28 UTC
Created attachment 142140 [details]
Locale Data for Iloko [ilo-PH]

Locale data for Iloko [ilo-PH] attached (ilo_PH.xml).
Comment 1 Eike Rathke 2018-05-18 11:25:46 UTC
Great, thanks!

I just had to correct one thing, the currency replacement's LCID value 3409 is from en_PH, which needs to be 6A3 here (the new value added with https://cgit.freedesktop.org/libreoffice/core/diff/include/i18nlangtag/lang.h?id=ed9416446def1a9c9af3869c3113d041ad33884e ). That's some requirement (stemming from Excel) for currency format codes to include the LCID and if not changed generates two sets of otherwise identical currency formats that only differ in LCID. A detail you likely couldn't know.

-  <LC_FORMAT replaceFrom="[CURRENCY]" replaceTo="[$Php-3409]">                                                         
+  <LC_FORMAT replaceFrom="[CURRENCY]" replaceTo="[$Php-6A3]">
Comment 2 Commit Notification 2018-05-18 11:33:12 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=4478c334349d2a58ef767a4db4b7087cc9319e11

Resolves: tdf#117655 Add Iloko [ilo-PH] locale data

It will be available in 6.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 3 Joseph S Maza 2018-05-19 00:58:08 UTC
Thanks for you all your help!

How can I test this in the next nightly build?
Comment 4 Eike Rathke 2018-05-22 09:47:38 UTC
In Calc, Ctrl+1 or menu Format -> Cells..., then tab page Numbers, the various number formats in different categories. Play with different dates and format codes DDD, DDDD, MMM and MMMM to see the day and month names, or QQ for quarter names.

In Writer, generate an Index table (from headings or some such, I don't remember), which should sort in the order given by the character sequence given in the <IndexKey> element.

If under Tools -> Options -> Language Settings -> Languages, the Locale is set to Iloko, then in Calc date input should be accepted according to the Date Acceptance Patterns, also some long dates with month names should be possible, and all default formatting should occur according to the ilo-PH locale data.